org.wildfly.swarm.microprofile.faulttolerance.deployment

## Class HystrixExtension.HystrixInterceptorBindingAnnotatedType<T extends Annotation>

- java.lang.Object
- - org.wildfly.swarm.microprofile.faulttolerance.deployment.HystrixExtension.HystrixInterceptorBindingAnnotatedType<T>

- Enclosing class:
    HystrixExtension

      public static class HystrixExtension.HystrixInterceptorBindingAnnotatedType<T extends Annotation>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HystrixInterceptorBindingAnnotatedType(<any> delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<S extends Annotation> S` | `getAnnotation(Class<S> annotationType)`
    `Set<Annotation>` | `getAnnotations()`
    `Type` | `getBaseType()`
    `Set<<any>>` | `getConstructors()`
    `Set<<any>>` | `getFields()`
    `Class<T>` | `getJavaClass()`
    `Set<<any>>` | `getMethods()`
    `Set<Type>` | `getTypeClosure()`
    `boolean` | `isAnnotationPresent(Class<? extends Annotation> annotationType)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HystrixInterceptorBindingAnnotatedType

          public HystrixInterceptorBindingAnnotatedType(<any> delegate)

  - ### Method Detail

    - #### getJavaClass

          public Class<T> getJavaClass()

    - #### getConstructors

          public Set<<any>> getConstructors()

    - #### getMethods

          public Set<<any>> getMethods()

    - #### getFields

          public Set<<any>> getFields()

    - #### getBaseType

          public Type getBaseType()

    - #### getTypeClosure

          public Set<Type> getTypeClosure()

    - #### getAnnotation

          public <S extends Annotation> S getAnnotation(Class<S> annotationType)

    - #### getAnnotations

          public Set<Annotation> getAnnotations()

    - #### isAnnotationPresent

          public boolean isAnnotationPresent(Class<? extends Annotation> annotationType)

Copyright © 2017 JBoss by Red Hat. All rights reserved.